<mat-toolbar class="header-container">
  <img
    [src]="'assets/logo/Windflower_Logo.png'"
    class="icon"
    routerLink="/home"
  />
  <h1 class="title" routerLink="/home"><span>WIND</span>FLOWER</h1>

  <div class="spacer"></div>

  <!-- User and Guest setting toggle -->
  <div *ngIf="isLoggedIn; else guest">
    <energy-platform-user-settings></energy-platform-user-settings>
  </div>
  <ng-template #guest>
    <button
      mat-button
      class="stroked-pill-button"
      (click)="openRegisterModal()"
    >
      {{ 'landingpage.register' | translate }}
    </button>
    <button
      mat-button
      class="light-stroked-pill-button"
      (click)="openLoginModal()"
    >
      {{ 'landingpage.login' | translate }}
    </button>
  </ng-template>

  <!-- Change language button  -->
  <energy-platform-language-settings
    class="language-selector"
  ></energy-platform-language-settings>
</mat-toolbar>
